
Dcat.ready(function () {
    $(document).on('click', '.sync-btn', function () {
        let $btn = $(this);
        $.ajax({
            url: $(this).data('url'),
            timeout: 300000,
            type: 'POST',
            data: {
                _token: Dcat.token
            },
            beforeSend: function() {
                $("body").append('<div id="body"><div id="loading"></div></div>');
            },
            complete: function() {
                $("#body").remove();
            },
            success: function (res) {
                $("#body").remove();
                res.status?Dcat.success(res.message):Dcat.error(res.message);
            },
            error: function() {
                $("#body").remove();
                Dcat.error('同步异常！');
            }
        });
    });
});
